bcompiler_load
bcompiler_read
bcompiler Functions
PHP Manual

# bcompiler_parse_class

(PECL bcompiler:0.4-0.8)

bcompiler_parse_class — Reads the bytecodes of a class and calls back to a user function

### Description

bool bcompiler_parse_class ( string `$class` , string `$callback` )

Reads the bytecodes of a class and calls back to a user function.

### Parameters

`class`

  The class name, as a string.

`callback`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 bcompiler_parse_class() example

`<?php
function readByteCodes($data) {
print_r($data);
}
bcompiler_parse_class("DB","readByteCodes");
?>`

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

> Note: This function has been removed from bcompiler and is no longer available as of bcompiler 0.5.

bcompiler_load
bcompiler_read
bcompiler Functions
PHP Manual